Update PractitionerRole
Update a FHIR R4 Practitioner Role resource by logical ID.
Endpoint
PUT /api/fhir/r4/PractitionerRole/{rid}
Base URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4
Example request: PUT /api/fhir/r4/PractitionerRole/00000000-0000-4000-8000-000000000012
Example URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/PractitionerRole/00000000-0000-4000-8000-000000000012
Headers
{"Accept":"application/fhir+json","Authorization":"Bearer [REDACTED]","Content-Type":"application/fhir+json"}
Parameters
| Parameter | In | Required | Type | Description |
|---|---|---|---|---|
rid |
path | true | uuid | Logical id of the PractitionerRole resource. Use the logical id of the resource. |
Authorization
The supported authorization model uses OAuth 2.0 scopes issued by OCI Identity Domains. Send the access token as a bearer token. Resource-server definitions and issued access-token claims use canonical system/... scopes. Client grants and token requests use the corresponding ddfssystem/... form. For examples, see Reference: Authentication and Scopes.
| Context | Scope form |
|---|---|
| Resource-server definition | system/PractitionerRole.u |
| Client grant/token request | ddfssystem/PractitionerRole.u |
Issued token's scope claim |
system/PractitionerRole.u |
Example Request
{"resourceType":"PractitionerRole","identifier":[{"system":"https://example.com/fhir/identifier/practitionerRole","value":"documentation-example"}],"active":true,"practitioner":{"reference":"Practitioner/00000000-0000-4000-8000-000000000011"},"code":[{"coding":[{"system":"http://snomed.info/sct","code":"223366009","display":"Healthcare professional"}]}],"specialty":[{"coding":[{"system":"http://snomed.info/sct","code":"408443003","display":"General medical practice"}]}],"organization":{"reference":"Organization/00000000-0000-4000-8000-000000000009"},"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"documentation-example","display":"Documentation example"},{"system":"https://example.com/fhir/tag/phase","code":"updated","display":"Updated example"}]},"id":"00000000-0000-4000-8000-000000000012"}
Example Response
{
"resourceType": "PractitionerRole",
"id": "00000000-0000-4000-8000-000000000012",
"meta": {
"versionId": "2",
"lastUpdated": "2020-01-01T00:00:00Z",
"profile": [],
"security": [],
"tag": [
{
"system": "https://example.com/fhir/tag",
"code": "documentation-example",
"display": "Documentation example"
},
{
"system": "https://example.com/fhir/tag/phase",
"code": "updated",
"display": "Updated example"
}
]
},
"identifier": [
{
"system": "https://example.com/fhir/identifier/practitionerRole",
"value": "documentation-example"
}
],
"active": true,
"practitioner": {
"reference": "Practitioner/00000000-0000-4000-8000-000000000011"
},
"organization": {
"reference": "Organization/00000000-0000-4000-8000-000000000009"
},
"code": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "223366009",
"display": "Healthcare professional"
}
]
}
],
"specialty": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "408443003",
"display": "General medical practice"
}
]
}
],
"location": [],
"healthcareService": [],
"telecom": [],
"availableTime": [],
"notAvailable": [],
"endpoint": []
}
Behavior
Replaces an existing PractitionerRole resource by logical id.
cURL Example
curl.exe `
-sS `
--connect-timeout 10 `
--max-time 90 `
-X PUT `
https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/PractitionerRole/00000000-0000-4000-8000-000000000012 `
-H 'Accept: application/fhir+json' `
-H 'Authorization: Bearer [REDACTED]' `
-H 'Content-Type: application/fhir+json' `
--data '{"resourceType":"PractitionerRole","identifier":[{"system":"https://example.com/fhir/identifier/practitionerRole","value":"documentation-example"}],"active":true,"practitioner":{"reference":"Practitioner/00000000-0000-4000-8000-000000000011"},"code":[{"coding":[{"system":"http://snomed.info/sct","code":"223366009","display":"Healthcare professional"}]}],"specialty":[{"coding":[{"system":"http://snomed.info/sct","code":"408443003","display":"General medical practice"}]}],"organization":{"reference":"Organization/00000000-0000-4000-8000-000000000009"},"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"documentation-example","display":"Documentation example"},{"system":"https://example.com/fhir/tag/phase","code":"updated","display":"Updated example"}]},"id":"00000000-0000-4000-8000-000000000012"}'
Status Codes
| Code | Status |
|---|---|
| 200 | Updated PractitionerRole representation. |
FHIR Definition
Canonical: https://hl7.org/fhir/R4/practitionerrole.html